Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface AssemblyMapperAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface AssemblyMapperAdaptor
extends Adaptor

Author:
  Arne Stabenau

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`AssemblyMapper` | `fetchByCoordSystems(CoordinateSystem cs1, CoordinateSystem cs2)`
`void` | `registerAssembled(SimpleAssemblyMapper asmMapper, java.lang.String seqRegionName, int start, int end)`
`void` | `registerChained(ChainedAssemblyMapper cam, java.lang.String startTag, java.lang.String seqRegionName, java.util.List ranges)`
`void` | `registerComponent(SimpleAssemblyMapper asmMapper, java.lang.String componentSeqRegionName)`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetchByCoordSystems

    public AssemblyMapper fetchByCoordSystems(CoordinateSystem cs1,
                                              CoordinateSystem cs2)
                                       throws AdaptorException

  Throws:
    `AdaptorException`

### registerAssembled

    public void registerAssembled(SimpleAssemblyMapper asmMapper,
                                  java.lang.String seqRegionName,
                                  int start,
                                  int end)
                           throws AdaptorException

  Throws:
    `AdaptorException`

### registerComponent

    public void registerComponent(SimpleAssemblyMapper asmMapper,
                                  java.lang.String componentSeqRegionName)
                           throws AdaptorException

  Throws:
    `AdaptorException`

### registerChained

    public void registerChained(ChainedAssemblyMapper cam,
                                java.lang.String startTag,
                                java.lang.String seqRegionName,
                                java.util.List ranges)
                         throws AdaptorException

  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD